# -*- coding: utf-8 -*-
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: MotorServicer.proto

import sys
_b=sys.version_info[0]<3 and (lambda x:x) or (lambda x:x.encode('latin1'))
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from google.protobuf import reflection as _reflection
from google.protobuf import symbol_database as _symbol_database
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()


import sila2lib.framework.SiLAFramework_pb2 as SiLAFramework__pb2


DESCRIPTOR = _descriptor.FileDescriptor(
  name='MotorServicer.proto',
  package='sila2.biovt.mw.tum.de.examples.motorservicer.v1',
  syntax='proto3',
  serialized_options=None,
  serialized_pb=_b('\n\x13MotorServicer.proto\x12/sila2.biovt.mw.tum.de.examples.motorservicer.v1\x1a\x13SiLAFramework.proto\"\x19\n\x17StartStirrer_Parameters\"O\n\x16StartStirrer_Responses\x12\x35\n\rCurrentStatus\x18\x01 \x01(\x0b\x32\x1e.sila2.org.silastandard.String\"\x18\n\x16StopStirrer_Parameters\"N\n\x15StopStirrer_Responses\x12\x35\n\rCurrentStatus\x18\x01 \x01(\x0b\x32\x1e.sila2.org.silastandard.String\"A\n\x11SetRPM_Parameters\x12,\n\x03RPM\x18\x01 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer\"I\n\x10SetRPM_Responses\x12\x35\n\rCurrentStatus\x18\x01 \x01(\x0b\x32\x1e.sila2.org.silastandard.String\"\x13\n\x11GetRPM_Parameters\"G\n\x10GetRPM_Responses\x12\x33\n\nCurrentRPM\x18\x01 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer\"E\n\x13SetPower_Parameters\x12.\n\x05Power\x18\x01 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer\"K\n\x12SetPower_Responses\x12\x35\n\rCurrentStatus\x18\x01 \x01(\x0b\x32\x1e.sila2.org.silastandard.String\"\x15\n\x13GetPower_Parameters\"K\n\x12GetPower_Responses\x12\x35\n\x0c\x43urrentPower\x18\x01 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer2\xb4\x07\n\rMotorServicer\x12\xa3\x01\n\x0cStartStirrer\x12H.sila2.biovt.mw.tum.de.examples.motorservicer.v1.StartStirrer_Parameters\x1aG.sila2.biovt.mw.tum.de.examples.motorservicer.v1.StartStirrer_Responses\"\x00\x12\xa0\x01\n\x0bStopStirrer\x12G.sila2.biovt.mw.tum.de.examples.motorservicer.v1.StopStirrer_Parameters\x1a\x46.sila2.biovt.mw.tum.de.examples.motorservicer.v1.StopStirrer_Responses\"\x00\x12\x91\x01\n\x06SetRPM\x12\x42.sila2.biovt.mw.tum.de.examples.motorservicer.v1.SetRPM_Parameters\x1a\x41.sila2.biovt.mw.tum.de.examples.motorservicer.v1.SetRPM_Responses\"\x00\x12\x91\x01\n\x06GetRPM\x12\x42.sila2.biovt.mw.tum.de.examples.motorservicer.v1.GetRPM_Parameters\x1a\x41.sila2.biovt.mw.tum.de.examples.motorservicer.v1.GetRPM_Responses\"\x00\x12\x97\x01\n\x08SetPower\x12\x44.sila2.biovt.mw.tum.de.examples.motorservicer.v1.SetPower_Parameters\x1a\x43.sila2.biovt.mw.tum.de.examples.motorservicer.v1.SetPower_Responses\"\x00\x12\x97\x01\n\x08GetPower\x12\x44.sila2.biovt.mw.tum.de.examples.motorservicer.v1.GetPower_Parameters\x1a\x43.sila2.biovt.mw.tum.de.examples.motorservicer.v1.GetPower_Responses\"\x00\x62\x06proto3')
  ,
  dependencies=[SiLAFramework__pb2.DESCRIPTOR,])




_STARTSTIRRER_PARAMETERS = _descriptor.Descriptor(
  name='StartStirrer_Parameters',
  full_name='sila2.biovt.mw.tum.de.examples.motorservicer.v1.StartStirrer_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=93,
  serialized_end=118,
)


_STARTSTIRRER_RESPONSES = _descriptor.Descriptor(
  name='StartStirrer_Responses',
  full_name='sila2.biovt.mw.tum.de.examples.motorservicer.v1.StartStirrer_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentStatus', full_name='sila2.biovt.mw.tum.de.examples.motorservicer.v1.StartStirrer_Responses.CurrentStatus', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=120,
  serialized_end=199,
)


_STOPSTIRRER_PARAMETERS = _descriptor.Descriptor(
  name='StopStirrer_Parameters',
  full_name='sila2.biovt.mw.tum.de.examples.motorservicer.v1.StopStirrer_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=201,
  serialized_end=225,
)


_STOPSTIRRER_RESPONSES = _descriptor.Descriptor(
  name='StopStirrer_Responses',
  full_name='sila2.biovt.mw.tum.de.examples.motorservicer.v1.StopStirrer_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentStatus', full_name='sila2.biovt.mw.tum.de.examples.motorservicer.v1.StopStirrer_Responses.CurrentStatus', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=227,
  serialized_end=305,
)


_SETRPM_PARAMETERS = _descriptor.Descriptor(
  name='SetRPM_Parameters',
  full_name='sila2.biovt.mw.tum.de.examples.motorservicer.v1.SetRPM_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='RPM', full_name='sila2.biovt.mw.tum.de.examples.motorservicer.v1.SetRPM_Parameters.RPM', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=307,
  serialized_end=372,
)


_SETRPM_RESPONSES = _descriptor.Descriptor(
  name='SetRPM_Responses',
  full_name='sila2.biovt.mw.tum.de.examples.motorservicer.v1.SetRPM_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentStatus', full_name='sila2.biovt.mw.tum.de.examples.motorservicer.v1.SetRPM_Responses.CurrentStatus', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=374,
  serialized_end=447,
)


_GETRPM_PARAMETERS = _descriptor.Descriptor(
  name='GetRPM_Parameters',
  full_name='sila2.biovt.mw.tum.de.examples.motorservicer.v1.GetRPM_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=449,
  serialized_end=468,
)


_GETRPM_RESPONSES = _descriptor.Descriptor(
  name='GetRPM_Responses',
  full_name='sila2.biovt.mw.tum.de.examples.motorservicer.v1.GetRPM_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentRPM', full_name='sila2.biovt.mw.tum.de.examples.motorservicer.v1.GetRPM_Responses.CurrentRPM', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=470,
  serialized_end=541,
)


_SETPOWER_PARAMETERS = _descriptor.Descriptor(
  name='SetPower_Parameters',
  full_name='sila2.biovt.mw.tum.de.examples.motorservicer.v1.SetPower_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='Power', full_name='sila2.biovt.mw.tum.de.examples.motorservicer.v1.SetPower_Parameters.Power', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=543,
  serialized_end=612,
)


_SETPOWER_RESPONSES = _descriptor.Descriptor(
  name='SetPower_Responses',
  full_name='sila2.biovt.mw.tum.de.examples.motorservicer.v1.SetPower_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentStatus', full_name='sila2.biovt.mw.tum.de.examples.motorservicer.v1.SetPower_Responses.CurrentStatus', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=614,
  serialized_end=689,
)


_GETPOWER_PARAMETERS = _descriptor.Descriptor(
  name='GetPower_Parameters',
  full_name='sila2.biovt.mw.tum.de.examples.motorservicer.v1.GetPower_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=691,
  serialized_end=712,
)


_GETPOWER_RESPONSES = _descriptor.Descriptor(
  name='GetPower_Responses',
  full_name='sila2.biovt.mw.tum.de.examples.motorservicer.v1.GetPower_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentPower', full_name='sila2.biovt.mw.tum.de.examples.motorservicer.v1.GetPower_Responses.CurrentPower', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=714,
  serialized_end=789,
)

_STARTSTIRRER_RESPONSES.fields_by_name['CurrentStatus'].message_type = SiLAFramework__pb2._STRING
_STOPSTIRRER_RESPONSES.fields_by_name['CurrentStatus'].message_type = SiLAFramework__pb2._STRING
_SETRPM_PARAMETERS.fields_by_name['RPM'].message_type = SiLAFramework__pb2._INTEGER
_SETRPM_RESPONSES.fields_by_name['CurrentStatus'].message_type = SiLAFramework__pb2._STRING
_GETRPM_RESPONSES.fields_by_name['CurrentRPM'].message_type = SiLAFramework__pb2._INTEGER
_SETPOWER_PARAMETERS.fields_by_name['Power'].message_type = SiLAFramework__pb2._INTEGER
_SETPOWER_RESPONSES.fields_by_name['CurrentStatus'].message_type = SiLAFramework__pb2._STRING
_GETPOWER_RESPONSES.fields_by_name['CurrentPower'].message_type = SiLAFramework__pb2._INTEGER
DESCRIPTOR.message_types_by_name['StartStirrer_Parameters'] = _STARTSTIRRER_PARAMETERS
DESCRIPTOR.message_types_by_name['StartStirrer_Responses'] = _STARTSTIRRER_RESPONSES
DESCRIPTOR.message_types_by_name['StopStirrer_Parameters'] = _STOPSTIRRER_PARAMETERS
DESCRIPTOR.message_types_by_name['StopStirrer_Responses'] = _STOPSTIRRER_RESPONSES
DESCRIPTOR.message_types_by_name['SetRPM_Parameters'] = _SETRPM_PARAMETERS
DESCRIPTOR.message_types_by_name['SetRPM_Responses'] = _SETRPM_RESPONSES
DESCRIPTOR.message_types_by_name['GetRPM_Parameters'] = _GETRPM_PARAMETERS
DESCRIPTOR.message_types_by_name['GetRPM_Responses'] = _GETRPM_RESPONSES
DESCRIPTOR.message_types_by_name['SetPower_Parameters'] = _SETPOWER_PARAMETERS
DESCRIPTOR.message_types_by_name['SetPower_Responses'] = _SETPOWER_RESPONSES
DESCRIPTOR.message_types_by_name['GetPower_Parameters'] = _GETPOWER_PARAMETERS
DESCRIPTOR.message_types_by_name['GetPower_Responses'] = _GETPOWER_RESPONSES
_sym_db.RegisterFileDescriptor(DESCRIPTOR)

StartStirrer_Parameters = _reflection.GeneratedProtocolMessageType('StartStirrer_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _STARTSTIRRER_PARAMETERS,
  '__module__' : 'MotorServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.motorservicer.v1.StartStirrer_Parameters)
  })
_sym_db.RegisterMessage(StartStirrer_Parameters)

StartStirrer_Responses = _reflection.GeneratedProtocolMessageType('StartStirrer_Responses', (_message.Message,), {
  'DESCRIPTOR' : _STARTSTIRRER_RESPONSES,
  '__module__' : 'MotorServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.motorservicer.v1.StartStirrer_Responses)
  })
_sym_db.RegisterMessage(StartStirrer_Responses)

StopStirrer_Parameters = _reflection.GeneratedProtocolMessageType('StopStirrer_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _STOPSTIRRER_PARAMETERS,
  '__module__' : 'MotorServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.motorservicer.v1.StopStirrer_Parameters)
  })
_sym_db.RegisterMessage(StopStirrer_Parameters)

StopStirrer_Responses = _reflection.GeneratedProtocolMessageType('StopStirrer_Responses', (_message.Message,), {
  'DESCRIPTOR' : _STOPSTIRRER_RESPONSES,
  '__module__' : 'MotorServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.motorservicer.v1.StopStirrer_Responses)
  })
_sym_db.RegisterMessage(StopStirrer_Responses)

SetRPM_Parameters = _reflection.GeneratedProtocolMessageType('SetRPM_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _SETRPM_PARAMETERS,
  '__module__' : 'MotorServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.motorservicer.v1.SetRPM_Parameters)
  })
_sym_db.RegisterMessage(SetRPM_Parameters)

SetRPM_Responses = _reflection.GeneratedProtocolMessageType('SetRPM_Responses', (_message.Message,), {
  'DESCRIPTOR' : _SETRPM_RESPONSES,
  '__module__' : 'MotorServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.motorservicer.v1.SetRPM_Responses)
  })
_sym_db.RegisterMessage(SetRPM_Responses)

GetRPM_Parameters = _reflection.GeneratedProtocolMessageType('GetRPM_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETRPM_PARAMETERS,
  '__module__' : 'MotorServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.motorservicer.v1.GetRPM_Parameters)
  })
_sym_db.RegisterMessage(GetRPM_Parameters)

GetRPM_Responses = _reflection.GeneratedProtocolMessageType('GetRPM_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETRPM_RESPONSES,
  '__module__' : 'MotorServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.motorservicer.v1.GetRPM_Responses)
  })
_sym_db.RegisterMessage(GetRPM_Responses)

SetPower_Parameters = _reflection.GeneratedProtocolMessageType('SetPower_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _SETPOWER_PARAMETERS,
  '__module__' : 'MotorServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.motorservicer.v1.SetPower_Parameters)
  })
_sym_db.RegisterMessage(SetPower_Parameters)

SetPower_Responses = _reflection.GeneratedProtocolMessageType('SetPower_Responses', (_message.Message,), {
  'DESCRIPTOR' : _SETPOWER_RESPONSES,
  '__module__' : 'MotorServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.motorservicer.v1.SetPower_Responses)
  })
_sym_db.RegisterMessage(SetPower_Responses)

GetPower_Parameters = _reflection.GeneratedProtocolMessageType('GetPower_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETPOWER_PARAMETERS,
  '__module__' : 'MotorServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.motorservicer.v1.GetPower_Parameters)
  })
_sym_db.RegisterMessage(GetPower_Parameters)

GetPower_Responses = _reflection.GeneratedProtocolMessageType('GetPower_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETPOWER_RESPONSES,
  '__module__' : 'MotorServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.motorservicer.v1.GetPower_Responses)
  })
_sym_db.RegisterMessage(GetPower_Responses)



_MOTORSERVICER = _descriptor.ServiceDescriptor(
  name='MotorServicer',
  full_name='sila2.biovt.mw.tum.de.examples.motorservicer.v1.MotorServicer',
  file=DESCRIPTOR,
  index=0,
  serialized_options=None,
  serialized_start=792,
  serialized_end=1740,
  methods=[
  _descriptor.MethodDescriptor(
    name='StartStirrer',
    full_name='sila2.biovt.mw.tum.de.examples.motorservicer.v1.MotorServicer.StartStirrer',
    index=0,
    containing_service=None,
    input_type=_STARTSTIRRER_PARAMETERS,
    output_type=_STARTSTIRRER_RESPONSES,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='StopStirrer',
    full_name='sila2.biovt.mw.tum.de.examples.motorservicer.v1.MotorServicer.StopStirrer',
    index=1,
    containing_service=None,
    input_type=_STOPSTIRRER_PARAMETERS,
    output_type=_STOPSTIRRER_RESPONSES,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='SetRPM',
    full_name='sila2.biovt.mw.tum.de.examples.motorservicer.v1.MotorServicer.SetRPM',
    index=2,
    containing_service=None,
    input_type=_SETRPM_PARAMETERS,
    output_type=_SETRPM_RESPONSES,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='GetRPM',
    full_name='sila2.biovt.mw.tum.de.examples.motorservicer.v1.MotorServicer.GetRPM',
    index=3,
    containing_service=None,
    input_type=_GETRPM_PARAMETERS,
    output_type=_GETRPM_RESPONSES,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='SetPower',
    full_name='sila2.biovt.mw.tum.de.examples.motorservicer.v1.MotorServicer.SetPower',
    index=4,
    containing_service=None,
    input_type=_SETPOWER_PARAMETERS,
    output_type=_SETPOWER_RESPONSES,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='GetPower',
    full_name='sila2.biovt.mw.tum.de.examples.motorservicer.v1.MotorServicer.GetPower',
    index=5,
    containing_service=None,
    input_type=_GETPOWER_PARAMETERS,
    output_type=_GETPOWER_RESPONSES,
    serialized_options=None,
  ),
])
_sym_db.RegisterServiceDescriptor(_MOTORSERVICER)

DESCRIPTOR.services_by_name['MotorServicer'] = _MOTORSERVICER

# @@protoc_insertion_point(module_scope)
